<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['clie_id']))
{

?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <?php include ('head.php'); ?>
    </head>
<body>
<?php
  $configuracion="";
  $cotizacion="active";
  $clientes="";

  include ('menu.php');
?> 
<div class="main">
    <div class="">
    <div class="" >
        <div class="col-md-2"> 
            <?php include ('include/menu_ventas.php');?>
        </div> <!-- /span6 -->
        <div class="col-md-10"> 
        <form  role="form" id="datos_cotizacion">
            <div class="widget stacked">
                <!--<div class="widget-header">
                    <i class="icon-file-text"></i>
                </div>   -->
                <div class="widget-content">
                <?php
                    $cot_id=$_SESSION['cot_id'];
                    $page=$_SESSION['page'];
                    $can=mysqli_query($con,"SELECT * FROM dis_cotizacion  where cot_id='$cot_id'") or die(mysqli_error($con)); 
                    $dato=mysqli_fetch_array($can); 
                     $dis_cliente_clie_id= $dato['dis_cliente_clie_id'];

                  $canc=mysqli_query($con,"SELECT * FROM dis_cliente where clie_id='$dis_cliente_clie_id' ") or die(mysqli_error($con)); 
                  $datoc=mysqli_fetch_array($canc);
                ?> 
                <div  class="col-md-4">
                    <div class="form-group">
                        <label>Cliente</label>
                        <input type="text" id="cot_nombre" value="<?php echo  $datoc['clie_nombre'];  ?>" class="form-control input-sm" readonly>
                    </div> <!-- /.form-group -->
                    <div class="form-group">
                        <label>Telefono</label>
                        <input type="text" id="cot_telefono" value="<?php echo  $datoc['clie_telefono'];  ?>" class="form-control input-sm" readonly>
                    </div> <!-- /.form-group -->
                </div><!-- 4--> 
                <div  class="col-md-4">
                    <div class="form-group">
                        <label>Correo</label>
                        <input type="text" id="cot_correo" value="<?php echo  $datoc['clie_correo'];  ?>" class="form-control input-sm" readonly>
                    </div> <!-- /.form-group -->  
                    <div class="form-group">
                        <label>Fecha</label>
                        <input type="text" id="cot_fecha" value="<?php echo   $dato['cot_fecha']; ?>" class="form-control input-sm" readonly>
                    </div> <!-- /.form-group -->
                </div>

                <div  class="col-md-4">
                    <div class="form-group">
                        <label>Validez</label>
                         <input type="text" id="cot_valides" value="<?php echo   $dato['cot_validez']; ?>" class="form-control input-sm" readonly>
                       
                    </div> <!-- /.form-group -->

                    <div class="form-group">
                        <label>Cotizacion Nº</label>
                        <input type="text" id="cot_n_cotizacion" value="<?php echo  $dato['cot_n_cotizacion']; ?>" class="form-control input-sm" readonly>
                    </div> <!-- /.form-group -->
                    </br> 
                <div class="form-group pull-right">
                    <div class="form-group">
                        <button type="button" class="btn btn-info" data-toggle="modal" data-target="#myModal">
                            <span class="btn-icon-only icon-plus "></span> Agregar productos
                        </button>
                    </div>
                </div>
            </form> <!-- /.form -->   
        </div> <!-- /.form-group -->
    </div>
</div> <!-- /.widget-content -->

  
            <div class="widget stacked"> 
                <div class="widget-content">
                    <div class="table-responsive">
                        <div id="tabla"></div>  
                    </div> <!-- /.table-responsive -->

            <div class="col-md-6 " style="padding:0px;">
                <form action="" method="post" id="descuentotal" name="descuentotal" class="">
                    <label class="col-md-6">Descuento en toda la Cotización: </label>
                    <div class="col-md-4">
                        <div class="input-group">
                            <input type="number" min="0" max="99" name="desc" value="" size="3" class="form-control" id="desc" placeholder="%" accesskey="p" title="alt + p" autocomplete="off" />
                            <span class="input-group-btn">
                                <button name="btn_desc" id="btn_desc" type="submit" class="btn btn-warning" >Aplicar</button>
                            </span>
                        </div>
                    </div>
                </form>
            </div>
                 <div class="col-md-3 " style="padding:0px;">
  
  </div>
            <div class="pull-right">
                <a href="V_cotizaciones.php" type="button" class="btn btn-danger" >
                  <i class="fas fa-angle-double-left"></i>
                    Atras
                </a>
                <a onclick="enviar_email('<?php echo $cot_id; ?>','<?php echo  $datoc['clie_correo']; ?>')" type="button" class="btn btn-info" >
                    <span class="btn-icon-only icon-envelope"></span>  Enviar Correo
                </a>
                <a  class="btn btn-success"  href="pdf_inv/cotizacion3.php?cot_id=<?php echo $cot_id;?>" target="_blank">
                    <span class="btn-icon-only icon-print"></span> Imprimir
                </a>
            </div>


                </div> <!-- /.widget-content -->
            </div> <!-- /.widget --> </br></br></br>
        </div> <!-- /.col-md-9 -->
        </div> <!-- /container -->
    </div> <!-- /main -->
</div>
<script>
function loadTabla(){
  $('#editModal').modal('hide');
  $.get("./php_cotizacion/z_tabla.php","",function(data){
    $("#tabla").html(data);
  })
}

loadTabla();
$(document).ready(function(){
      load(1);
    });

    function load(page){
      var q= $("#q").val();
      $("#loader").fadeIn('slow');
      $.ajax({
        url:'./php_buscador/articulos_cotizacion_m.php?action=ajax&page='+page+'&q='+q,
         beforeSend: function(objeto){
         $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
          $(".outer_div").html(data).fadeIn('slow');
          $('#loader').html('');
          
        }
      })
    }
</script>
<script>
  function agregar (art_referencia)
    {
      var art_id=document.getElementById('art_id'+art_referencia).value;
      var precio_venta=document.getElementById('precio_venta_'+art_referencia).value;
      var nombre=document.getElementById('nombre_'+art_referencia).value;
      var cantidad=document.getElementById('cantidad_'+art_referencia).value;
      var art_iva=document.getElementById('art_iva'+art_referencia).value;
      var descuento=document.getElementById('descuento'+art_referencia).value;
       var fac=document.getElementById('fac'+art_referencia).value;
       var detallado='no';
      //Inicia validacion
      if (isNaN(cantidad))
      {
      alert('Esto no es un numero');
      document.getElementById('cantidad_'+art_referencia).focus();
      return false;
      }
      if (isNaN(precio_venta))
      {
      alert('Esto no es un numero');
      document.getElementById('precio_venta_'+art_referencia).focus();
      return false;
      }
      //Fin validacion
      
      $.ajax({
        type: "POST",
        url: "./php_cotizacion/z_tabla.php",
        data: "art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id+"&fac="+fac+"&detallado="+detallado,

     beforeSend: function(objeto){
      $("#tabla").html("Mensaje: Cargando...");
      },
        success: function(datos){
    $("#tabla").html(datos);
    }
      });
    }
</script>
<script>
  function agregars ()
    {
      var art_id=document.getElementById('art_id').value;
      var art_referencia=document.getElementById('art_id').value;
      var precio_venta=document.getElementById('precio_venta').value;
      var nombre=document.getElementById('nombre_').value;
      var cantidad=document.getElementById('cantidad_').value;
      var art_iva=document.getElementById('art_iva').value;
      var descuento=document.getElementById('descuento').value;
      var fac=document.getElementById('fac').value;
      var detallado='no';

      //Inicia validacion
      if (isNaN(cantidad))
      {
      alert('Esto no es un numero');
      document.getElementById('cantidad_').focus();
      return false;
      }
      if (isNaN(precio_venta))
      {
      alert('Esto no es un numero');
      document.getElementById('precio_venta_').focus();
      return false;
      }
      //Fin validacion
      $.ajax({
        type: "POST",
        url: "./php_cotizacion/z_tabla.php",
        data: "art_referencia="+art_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id+"&fac="+fac+"&detallado="+detallado,

     beforeSend: function(objeto){
      $("#tabla").html("Mensaje: Cargando...");
      },
        success: function(datos){
    $("#tabla").html(datos);
    }
      });
    }
</script>
<script>
  function agregard (artd_referencia)
    {
      var art_id=document.getElementById('art_id'+artd_referencia).value;
      var nombre=document.getElementById('nombre'+artd_referencia).value;
      var cantidad=document.getElementById('cantidad_'+artd_referencia).value;
      var descuento=document.getElementById('descuento'+artd_referencia).value;
      var precio_costo=document.getElementById('precio_costo_'+artd_referencia).value;
      var precio_venta=document.getElementById('precio_venta_'+artd_referencia).value;
      var fac=document.getElementById('fac'+artd_referencia).value;
      
      var art_iva='00';
      var art_tipo='articulo';
      var detallado='si';
      //Inicia validacion
      if (isNaN(cantidad))
      {
      alert('Esto no es un numero');
      document.getElementById('cantidad_'+artd_referencia).focus();
      return false;
      }
      if (isNaN(precio_venta))
      {
      alert('Esto no es un numero');
      document.getElementById('precio_venta_'+artd_referencia).focus();
      return false;
      }
      //Fin validacion
       
      if(parseInt(precio_venta)<parseInt(precio_costo))
        {
           alert('Esta facturando por debajo del precio de compra !');
           document.getElementById('precio_venta_'+artd_referencia).focus();
        }
          $.ajax(
          {
            type: "POST",
           url: "./php_cotizacion/z_tabla.php",
            data: "art_referencia="+artd_referencia+"&precio_venta="+precio_venta+"&cantidad="+cantidad+"&art_iva="+art_iva+"&descuento="+descuento+"&nombre="+nombre+"&art_id="+art_id+"&fac="+fac+"&detallado="+detallado,

            beforeSend: function(objeto)
              {
              $("#tabla").html("Mensaje: Cargando...");
              },
            success: function(datos)
              {
                $("#tabla").html(datos);
                  
              }
          });
    }
      
  
function enviar_email(cot_id)
{
    VentanaCentrada('./pdf_inv/email_cotizacion.php?cot_id='+cot_id,'Factura','','800','600','true');
}


      
$( "#descuentotal" ).submit(function( event ) {
  $('#btn_desc').attr("disabled", true);

 var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_cotizacion/z_descuento.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#tabla').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#tabla").html(datos);
      $('#btn_desc').attr("disabled", false);
      loadTabla();
      loadtotal();
      }
  });
  event.preventDefault();
})  


</script>
<?php 
  include ('php_buscador/buscador.php');
  include ('script.php');

}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>